import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.Random;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 17.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private int[] feld = new int[30];
  private Random r = new Random();

  private JTextField jTextField1 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 702;
    int frameHeight = 166;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextField1.setBounds(16, 32, 625, 24);
    jTextField1.setText("");
    cp.add(jTextField1);
    jButton1.setBounds(384, 80, 123, 25);
    jButton1.setText("sortiere");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton2.setBounds(152, 80, 187, 25);
    jButton2.setText("belege Feld zufllig");
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    cp.add(jButton2);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }


  // Anfang Methoden
  
  private String ausgabe(int[] feld) {
    String s = "";
    for (int i = 0; i< feld.length; i++) {
      s = s + feld[i];
      if (i < feld.length-1)
        s = s + "; ";
    }
    return s;
  }

  private void sortieren(int[] feld, int n) {
    if (n > 1)
      sortieren(feld, n-1);
    for (int i = n-1; i > 0; i--) {
      if (feld[i] < feld[i-1]) {
        int hilf = feld[i];
        feld[i] = feld[i-1];
        feld[i-1] = hilf;
      }
    }
  }
  
  private void belegeZufaellig(int[] feld) {
    for (int i = 0; i< feld.length; i++) {
      feld[i] = r.nextInt(100);
    }
  }

  public void jButton1_ActionPerformed(ActionEvent evt) {
    // Sortieren
    int[] feld = new int[30];
    belegeZufaellig(feld);
    sortieren(feld, feld.length);
    jTextField1.setText(ausgabe(feld));
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    // Feldbelegung
    belegeZufaellig(feld);
    jTextField1.setText(ausgabe(feld));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
